"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

/*
    A simple jQuery modal (http://github.com/kylefox/jquery-modal)
    Version 0.8.0
*/
(function (factory) {
  // Making your jQuery plugin work better with npm tools
  // http://blog.npmjs.org/post/112712169830/making-your-jquery-plugin-work-better-with-npm
  if ((typeof module === "undefined" ? "undefined" : _typeof(module)) === "object" && _typeof(module.exports) === "object") {
    factory(require("jquery"), window, document);
  } else {
    factory(jQuery, window, document);
  }
})(function ($, window, document, undefined) {
  var modals = [],
      getCurrent = function getCurrent() {
    return modals.length ? modals[modals.length - 1] : null;
  },
      selectCurrent = function selectCurrent() {
    var i,
        selected = false;

    for (i = modals.length - 1; i >= 0; i--) {
      if (modals[i].$blocker) {
        modals[i].$blocker.toggleClass('current', !selected).toggleClass('behind', selected);
        selected = true;
      }
    }
  };

  $.modal = function (el, options) {
    var remove, target;
    this.$body = $('body');
    this.options = $.extend({}, $.modal.defaults, options);
    this.options.doFade = !isNaN(parseInt(this.options.fadeDuration, 10));
    this.$blocker = null;
    if (this.options.closeExisting) while ($.modal.isActive()) {
      $.modal.close();
    } // Close any open modals.

    modals.push(this);

    if (el.is('a')) {
      target = el.attr('href'); //Select element by id from href

      if (/^#/.test(target)) {
        this.$elm = $(target);
        if (this.$elm.length !== 1) return null;
        this.$body.append(this.$elm);
        this.open(); //AJAX
      } else {
        this.$elm = $('<div>');
        this.$body.append(this.$elm);

        remove = function remove(event, modal) {
          modal.elm.remove();
        };

        this.showSpinner();
        el.trigger($.modal.AJAX_SEND);
        $.get(target).done(function (html) {
          if (!$.modal.isActive()) return;
          el.trigger($.modal.AJAX_SUCCESS);
          var current = getCurrent();
          current.$elm.empty().append(html).on($.modal.CLOSE, remove);
          current.hideSpinner();
          current.open();
          el.trigger($.modal.AJAX_COMPLETE);
        }).fail(function () {
          el.trigger($.modal.AJAX_FAIL);
          var current = getCurrent();
          current.hideSpinner();
          modals.pop(); // remove expected modal from the list

          el.trigger($.modal.AJAX_COMPLETE);
        });
      }
    } else {
      this.$elm = el;
      this.$body.append(this.$elm);
      this.open();
    }
  };

  $.modal.prototype = {
    constructor: $.modal,
    open: function open() {
      var m = this;
      this.block();

      if (this.options.doFade) {
        setTimeout(function () {
          m.show();
        }, this.options.fadeDuration * this.options.fadeDelay);
      } else {
        this.show();
      }

      $(document).off('keydown.modal').on('keydown.modal', function (event) {
        var current = getCurrent();
        if (event.which == 27 && current.options.escapeClose) current.close();
      });
      if (this.options.clickClose) this.$blocker.click(function (e) {
        if (e.target == this) $.modal.close();
      });
    },
    close: function close() {
      modals.pop();
      this.unblock();
      this.hide();
      if (!$.modal.isActive()) $(document).off('keydown.modal');
    },
    block: function block() {
      this.$elm.trigger($.modal.BEFORE_BLOCK, [this._ctx()]);
      this.$body.css('overflow', 'hidden');
      this.$blocker = $('<div class="blocker  current  u-posFullScreen"></div>').appendTo(this.$body);
      selectCurrent();

      if (this.options.doFade) {
        this.$blocker.css('opacity', 0).animate({
          opacity: 1
        }, this.options.fadeDuration);
      }

      this.$elm.trigger($.modal.BLOCK, [this._ctx()]);
    },
    unblock: function unblock(now) {
      if (!now && this.options.doFade) this.$blocker.fadeOut(this.options.fadeDuration, this.unblock.bind(this, true));else {
        this.$blocker.children().appendTo(this.$body);
        this.$blocker.remove();
        this.$blocker = null;
        selectCurrent();
        if (!$.modal.isActive()) this.$body.css('overflow', '');
      }
    },
    show: function show() {
      this.$elm.trigger($.modal.BEFORE_OPEN, [this._ctx()]);

      if (this.options.showClose) {
        this.closeButton = $('<a href="#modal-close" rel="modal:close" class="bpModal-close ' + this.options.closeClass + '">' + this.options.closeText + '</a>');
        this.$elm.append(this.closeButton);
      }

      this.$elm.addClass(this.options.modalClass).appendTo(this.$blocker);

      if (this.options.doFade) {
        this.$elm.css('opacity', 0).show().animate({
          opacity: 1
        }, this.options.fadeDuration);
      } else {
        this.$elm.show();
      }

      this.$elm.trigger($.modal.OPEN, [this._ctx()]);
    },
    hide: function hide() {
      this.$elm.trigger($.modal.BEFORE_CLOSE, [this._ctx()]);
      if (this.closeButton) this.closeButton.remove();

      var _this = this;

      if (this.options.doFade) {
        this.$elm.fadeOut(this.options.fadeDuration, function () {
          _this.$elm.trigger($.modal.AFTER_CLOSE, [_this._ctx()]);
        });
      } else {
        this.$elm.hide(0, function () {
          _this.$elm.trigger($.modal.AFTER_CLOSE, [_this._ctx()]);
        });
      }

      this.$elm.trigger($.modal.CLOSE, [this._ctx()]);
    },
    showSpinner: function showSpinner() {
      if (!this.options.showSpinner) return;
      this.spinner = this.spinner || $('<span class="' + this.options.modalClass + '-spinner  loader  loader--fill  is-pulsing"></span>').append(this.options.spinnerHtml);
      this.$body.append(this.spinner);
      this.spinner.show();
    },
    hideSpinner: function hideSpinner() {
      if (this.spinner) this.spinner.remove();
    },
    //Return context for custom events
    _ctx: function _ctx() {
      return {
        elm: this.$elm,
        $blocker: this.$blocker,
        options: this.options
      };
    }
  };

  $.modal.close = function (event) {
    if (!$.modal.isActive()) return;
    if (event) event.preventDefault();
    var current = getCurrent();
    current.close();
    return current.$elm;
  }; // Returns if there currently is an active modal


  $.modal.isActive = function () {
    return modals.length > 0;
  };

  $.modal.getCurrent = getCurrent;
  $.modal.defaults = {
    closeExisting: true,
    escapeClose: true,
    clickClose: true,
    closeText: '',
    closeClass: '',
    modalClass: "bpModal",
    spinnerHtml: null,
    showSpinner: true,
    showClose: true,
    fadeDuration: 200,
    // Number of milliseconds the fade animation takes.
    fadeDelay: .8 // Point during the overlay's fade-in that the modal begins to fade in (.5 = 50%, 1.5 = 150%, etc.)

  }; // Event constants

  $.modal.BEFORE_BLOCK = 'modal:before-block';
  $.modal.BLOCK = 'modal:block';
  $.modal.BEFORE_OPEN = 'modal:before-open';
  $.modal.OPEN = 'modal:open';
  $.modal.BEFORE_CLOSE = 'modal:before-close';
  $.modal.CLOSE = 'modal:close';
  $.modal.AFTER_CLOSE = 'modal:after-close';
  $.modal.AJAX_SEND = 'modal:ajax:send';
  $.modal.AJAX_SUCCESS = 'modal:ajax:success';
  $.modal.AJAX_FAIL = 'modal:ajax:fail';
  $.modal.AJAX_COMPLETE = 'modal:ajax:complete';

  $.fn.modal = function (options) {
    if (this.length === 1) {
      new $.modal(this, options);
    }

    return this;
  }; // Automatically bind links with rel="modal:close" to, well, close the modal.


  $(document).on('click.modal', 'a[rel~="modal:close"]', $.modal.close);
  $(document).on('click.modal', 'a[rel~="modal:open"]', function (event) {
    event.preventDefault();
    $(this).modal();
  });
});

jQuery.extend(jQuery.easing, {
  def: 'easeOutQuad',
  swing: function swing(x, t, b, c, d) {
    //alert(jQuery.easing.default);
    return jQuery.easing[jQuery.easing.def](x, t, b, c, d);
  },
  easeInQuad: function easeInQuad(x, t, b, c, d) {
    return c * (t /= d) * t + b;
  },
  easeOutQuad: function easeOutQuad(x, t, b, c, d) {
    return -c * (t /= d) * (t - 2) + b;
  },
  easeInOutQuad: function easeInOutQuad(x, t, b, c, d) {
    if ((t /= d / 2) < 1) return c / 2 * t * t + b;
    return -c / 2 * (--t * (t - 2) - 1) + b;
  },
  easeInCubic: function easeInCubic(x, t, b, c, d) {
    return c * (t /= d) * t * t + b;
  },
  easeOutCubic: function easeOutCubic(x, t, b, c, d) {
    return c * ((t = t / d - 1) * t * t + 1) + b;
  },
  easeInOutCubic: function easeInOutCubic(x, t, b, c, d) {
    if ((t /= d / 2) < 1) return c / 2 * t * t * t + b;
    return c / 2 * ((t -= 2) * t * t + 2) + b;
  },
  easeInQuart: function easeInQuart(x, t, b, c, d) {
    return c * (t /= d) * t * t * t + b;
  },
  easeOutQuart: function easeOutQuart(x, t, b, c, d) {
    return -c * ((t = t / d - 1) * t * t * t - 1) + b;
  },
  easeInOutQuart: function easeInOutQuart(x, t, b, c, d) {
    if ((t /= d / 2) < 1) return c / 2 * t * t * t * t + b;
    return -c / 2 * ((t -= 2) * t * t * t - 2) + b;
  },
  easeInQuint: function easeInQuint(x, t, b, c, d) {
    return c * (t /= d) * t * t * t * t + b;
  },
  easeOutQuint: function easeOutQuint(x, t, b, c, d) {
    return c * ((t = t / d - 1) * t * t * t * t + 1) + b;
  },
  easeInOutQuint: function easeInOutQuint(x, t, b, c, d) {
    if ((t /= d / 2) < 1) return c / 2 * t * t * t * t * t + b;
    return c / 2 * ((t -= 2) * t * t * t * t + 2) + b;
  },
  easeInSine: function easeInSine(x, t, b, c, d) {
    return -c * Math.cos(t / d * (Math.PI / 2)) + c + b;
  },
  easeOutSine: function easeOutSine(x, t, b, c, d) {
    return c * Math.sin(t / d * (Math.PI / 2)) + b;
  },
  easeInOutSine: function easeInOutSine(x, t, b, c, d) {
    return -c / 2 * (Math.cos(Math.PI * t / d) - 1) + b;
  },
  easeInExpo: function easeInExpo(x, t, b, c, d) {
    return t == 0 ? b : c * Math.pow(2, 10 * (t / d - 1)) + b;
  },
  easeOutExpo: function easeOutExpo(x, t, b, c, d) {
    return t == d ? b + c : c * (-Math.pow(2, -10 * t / d) + 1) + b;
  },
  easeInOutExpo: function easeInOutExpo(x, t, b, c, d) {
    if (t == 0) return b;
    if (t == d) return b + c;
    if ((t /= d / 2) < 1) return c / 2 * Math.pow(2, 10 * (t - 1)) + b;
    return c / 2 * (-Math.pow(2, -10 * --t) + 2) + b;
  },
  easeInCirc: function easeInCirc(x, t, b, c, d) {
    return -c * (Math.sqrt(1 - (t /= d) * t) - 1) + b;
  },
  easeOutCirc: function easeOutCirc(x, t, b, c, d) {
    return c * Math.sqrt(1 - (t = t / d - 1) * t) + b;
  },
  easeInOutCirc: function easeInOutCirc(x, t, b, c, d) {
    if ((t /= d / 2) < 1) return -c / 2 * (Math.sqrt(1 - t * t) - 1) + b;
    return c / 2 * (Math.sqrt(1 - (t -= 2) * t) + 1) + b;
  },
  easeInElastic: function easeInElastic(x, t, b, c, d) {
    var s = 1.70158;
    var p = 0;
    var a = c;
    if (t == 0) return b;
    if ((t /= d) == 1) return b + c;
    if (!p) p = d * .3;

    if (a < Math.abs(c)) {
      a = c;
      var s = p / 4;
    } else var s = p / (2 * Math.PI) * Math.asin(c / a);

    return -(a * Math.pow(2, 10 * (t -= 1)) * Math.sin((t * d - s) * (2 * Math.PI) / p)) + b;
  },
  easeOutElastic: function easeOutElastic(x, t, b, c, d) {
    var s = 1.70158;
    var p = 0;
    var a = c;
    if (t == 0) return b;
    if ((t /= d) == 1) return b + c;
    if (!p) p = d * .3;

    if (a < Math.abs(c)) {
      a = c;
      var s = p / 4;
    } else var s = p / (2 * Math.PI) * Math.asin(c / a);

    return a * Math.pow(2, -10 * t) * Math.sin((t * d - s) * (2 * Math.PI) / p) + c + b;
  },
  easeInOutElastic: function easeInOutElastic(x, t, b, c, d) {
    var s = 1.70158;
    var p = 0;
    var a = c;
    if (t == 0) return b;
    if ((t /= d / 2) == 2) return b + c;
    if (!p) p = d * (.3 * 1.5);

    if (a < Math.abs(c)) {
      a = c;
      var s = p / 4;
    } else var s = p / (2 * Math.PI) * Math.asin(c / a);

    if (t < 1) return -.5 * (a * Math.pow(2, 10 * (t -= 1)) * Math.sin((t * d - s) * (2 * Math.PI) / p)) + b;
    return a * Math.pow(2, -10 * (t -= 1)) * Math.sin((t * d - s) * (2 * Math.PI) / p) * .5 + c + b;
  },
  easeInBack: function easeInBack(x, t, b, c, d, s) {
    if (s == undefined) s = 1.70158;
    return c * (t /= d) * t * ((s + 1) * t - s) + b;
  },
  easeOutBack: function easeOutBack(x, t, b, c, d, s) {
    if (s == undefined) s = 1.70158;
    return c * ((t = t / d - 1) * t * ((s + 1) * t + s) + 1) + b;
  },
  easeInOutBack: function easeInOutBack(x, t, b, c, d, s) {
    if (s == undefined) s = 1.70158;
    if ((t /= d / 2) < 1) return c / 2 * (t * t * (((s *= 1.525) + 1) * t - s)) + b;
    return c / 2 * ((t -= 2) * t * (((s *= 1.525) + 1) * t + s) + 2) + b;
  },
  easeInBounce: function easeInBounce(x, t, b, c, d) {
    return c - jQuery.easing.easeOutBounce(x, d - t, 0, c, d) + b;
  },
  easeOutBounce: function easeOutBounce(x, t, b, c, d) {
    if ((t /= d) < 1 / 2.75) {
      return c * (7.5625 * t * t) + b;
    } else if (t < 2 / 2.75) {
      return c * (7.5625 * (t -= 1.5 / 2.75) * t + .75) + b;
    } else if (t < 2.5 / 2.75) {
      return c * (7.5625 * (t -= 2.25 / 2.75) * t + .9375) + b;
    } else {
      return c * (7.5625 * (t -= 2.625 / 2.75) * t + .984375) + b;
    }
  },
  easeInOutBounce: function easeInOutBounce(x, t, b, c, d) {
    if (t < d / 2) return jQuery.easing.easeInBounce(x, t * 2, 0, c, d) * .5 + b;
    return jQuery.easing.easeOutBounce(x, t * 2 - d, 0, c, d) * .5 + c * .5 + b;
  }
});
/**
 * responsive-tabs
 *
 * jQuery plugin that provides responsive tab functionality. The tabs transform to an accordion when it reaches a CSS breakpoint.
 *
 * @author Jelle Kralt <jelle@jellekralt.nl>
 * @version v1.6.1
 * @license MIT
 */

!function (t, s, a) {
  function e(s, a) {
    this.element = s, this.$element = t(s), this.tabs = [], this.state = "", this.rotateInterval = 0, this.$queue = t({}), this.options = t.extend({}, o, a), this.init();
  }

  var o = {
    active: null,
    event: "click",
    disabled: [],
    collapsible: "accordion",
    startCollapsed: !1,
    rotate: !1,
    setHash: !1,
    animation: "default",
    animationQueue: !1,
    duration: 500,
    fluidHeight: !0,
    scrollToAccordion: !1,
    scrollToAccordionOnLoad: !0,
    scrollToAccordionOffset: 0,
    accordionTabElement: "<div></div>",
    click: function click() {},
    activate: function activate() {},
    deactivate: function deactivate() {},
    load: function load() {},
    activateState: function activateState() {},
    classes: {
      stateDefault: "r-tabs-state-default",
      stateActive: "r-tabs-state-active",
      stateDisabled: "r-tabs-state-disabled",
      stateExcluded: "r-tabs-state-excluded",
      container: "r-tabs",
      ul: "r-tabs-nav",
      tab: "r-tabs-tab",
      anchor: "r-tabs-anchor",
      panel: "r-tabs-panel",
      accordionTitle: "r-tabs-accordion-title"
    }
  };
  e.prototype.init = function () {
    var a = this;
    this.tabs = this._loadElements(), this._loadClasses(), this._loadEvents(), t(s).on("resize", function (t) {
      a._setState(t), a.options.fluidHeight !== !0 && a._equaliseHeights();
    }), t(s).on("hashchange", function (t) {
      var e = a._getTabRefBySelector(s.location.hash),
          o = a._getTab(e);

      e >= 0 && !o._ignoreHashChange && !o.disabled && a._openTab(t, a._getTab(e), !0);
    }), this.options.rotate !== !1 && this.startRotation(), this.options.fluidHeight !== !0 && a._equaliseHeights(), this.$element.bind("tabs-click", function (t, s) {
      a.options.click.call(this, t, s);
    }), this.$element.bind("tabs-activate", function (t, s) {
      a.options.activate.call(this, t, s);
    }), this.$element.bind("tabs-deactivate", function (t, s) {
      a.options.deactivate.call(this, t, s);
    }), this.$element.bind("tabs-activate-state", function (t, s) {
      a.options.activateState.call(this, t, s);
    }), this.$element.bind("tabs-load", function (t) {
      var s;
      a._setState(t), a.options.startCollapsed === !0 || "accordion" === a.options.startCollapsed && "accordion" === a.state || (s = a._getStartTab(), a._openTab(t, s), a.options.load.call(this, t, s));
    }), this.$element.trigger("tabs-load");
  }, e.prototype._loadElements = function () {
    var s = this,
        a = this.$element.children("ul:first"),
        e = [],
        o = 0;
    return this.$element.addClass(s.options.classes.container), a.addClass(s.options.classes.ul), t("li", a).each(function () {
      var a,
          i,
          n,
          l,
          r,
          c = t(this),
          h = c.hasClass(s.options.classes.stateExcluded);

      if (!h) {
        a = t("a", c), r = a.attr("href"), i = t(r), n = t(s.options.accordionTabElement).insertBefore(i), l = t("<a></a>").attr("href", r).html(a.html()).appendTo(n);
        var p = {
          _ignoreHashChange: !1,
          id: o,
          disabled: -1 !== t.inArray(o, s.options.disabled),
          tab: t(this),
          anchor: t("a", c),
          panel: i,
          selector: r,
          accordionTab: n,
          accordionAnchor: l,
          active: !1
        };
        o++, e.push(p);
      }
    }), e;
  }, e.prototype._loadClasses = function () {
    for (var t = 0; t < this.tabs.length; t++) {
      this.tabs[t].tab.addClass(this.options.classes.stateDefault).addClass(this.options.classes.tab), this.tabs[t].anchor.addClass(this.options.classes.anchor), this.tabs[t].panel.addClass(this.options.classes.stateDefault).addClass(this.options.classes.panel), this.tabs[t].accordionTab.addClass(this.options.classes.accordionTitle), this.tabs[t].accordionAnchor.addClass(this.options.classes.anchor), this.tabs[t].disabled && (this.tabs[t].tab.removeClass(this.options.classes.stateDefault).addClass(this.options.classes.stateDisabled), this.tabs[t].accordionTab.removeClass(this.options.classes.stateDefault).addClass(this.options.classes.stateDisabled));
    }
  }, e.prototype._loadEvents = function () {
    for (var t = this, a = function a(_a) {
      var e = t._getCurrentTab(),
          o = _a.data.tab;

      _a.preventDefault(), o.tab.trigger("tabs-click", o), o.disabled || (t.options.setHash && (history.pushState ? history.pushState(null, null, s.location.origin + s.location.pathname + s.location.search + o.selector) : s.location.hash = o.selector), _a.data.tab._ignoreHashChange = !0, (e !== o || t._isCollapisble()) && (t._closeTab(_a, e), e === o && t._isCollapisble() || t._openTab(_a, o, !1, !0)));
    }, e = 0; e < this.tabs.length; e++) {
      this.tabs[e].anchor.on(t.options.event, {
        tab: t.tabs[e]
      }, a), this.tabs[e].accordionAnchor.on(t.options.event, {
        tab: t.tabs[e]
      }, a);
    }
  }, e.prototype._getStartTab = function () {
    var t,
        a = this._getTabRefBySelector(s.location.hash);

    return t = a >= 0 && !this._getTab(a).disabled ? this._getTab(a) : this.options.active > 0 && !this._getTab(this.options.active).disabled ? this._getTab(this.options.active) : this._getTab(0);
  }, e.prototype._setState = function (s) {
    var e,
        o = t("ul:first", this.$element),
        i = this.state,
        n = "string" == typeof this.options.startCollapsed;
    o.is(":visible") ? this.state = "tabs" : this.state = "accordion", this.state !== i && (this.$element.trigger("tabs-activate-state", {
      oldState: i,
      newState: this.state
    }), i && n && this.options.startCollapsed !== this.state && this._getCurrentTab() === a && (e = this._getStartTab(s), this._openTab(s, e)));
  }, e.prototype._openTab = function (s, a, e, o) {
    var i,
        n = this;
    e && this._closeTab(s, this._getCurrentTab()), o && this.rotateInterval > 0 && this.stopRotation(), a.active = !0, a.tab.removeClass(n.options.classes.stateDefault).addClass(n.options.classes.stateActive), a.accordionTab.removeClass(n.options.classes.stateDefault).addClass(n.options.classes.stateActive), n._doTransition(a.panel, n.options.animation, "open", function () {
      var e = "tabs-load" !== s.type || n.options.scrollToAccordionOnLoad;
      a.panel.removeClass(n.options.classes.stateDefault).addClass(n.options.classes.stateActive), "accordion" !== n.getState() || !n.options.scrollToAccordion || n._isInView(a.accordionTab) && "default" === n.options.animation || !e || (i = a.accordionTab.offset().top - n.options.scrollToAccordionOffset, "default" !== n.options.animation && n.options.duration > 0 ? t("html, body").animate({
        scrollTop: i
      }, n.options.duration) : t("html, body").scrollTop(i));
    }), this.$element.trigger("tabs-activate", a);
  }, e.prototype._closeTab = function (t, s) {
    var e,
        o = this,
        i = "string" == typeof o.options.animationQueue;
    s !== a && (e = i && o.getState() === o.options.animationQueue ? !0 : i ? !1 : o.options.animationQueue, s.active = !1, s.tab.removeClass(o.options.classes.stateActive).addClass(o.options.classes.stateDefault), o._doTransition(s.panel, o.options.animation, "close", function () {
      s.accordionTab.removeClass(o.options.classes.stateActive).addClass(o.options.classes.stateDefault), s.panel.removeClass(o.options.classes.stateActive).addClass(o.options.classes.stateDefault);
    }, !e), this.$element.trigger("tabs-deactivate", s));
  }, e.prototype._doTransition = function (t, s, a, e, o) {
    var i,
        n = this;

    switch (s) {
      case "slide":
        i = "open" === a ? "slideDown" : "slideUp";
        break;

      case "fade":
        i = "open" === a ? "fadeIn" : "fadeOut";
        break;

      default:
        i = "open" === a ? "show" : "hide", n.options.duration = 0;
    }

    this.$queue.queue("responsive-tabs", function (o) {
      t[i]({
        duration: n.options.duration,
        complete: function complete() {
          e.call(t, s, a), o();
        }
      });
    }), ("open" === a || o) && this.$queue.dequeue("responsive-tabs");
  }, e.prototype._isCollapisble = function () {
    return "boolean" == typeof this.options.collapsible && this.options.collapsible || "string" == typeof this.options.collapsible && this.options.collapsible === this.getState();
  }, e.prototype._getTab = function (t) {
    return this.tabs[t];
  }, e.prototype._getTabRefBySelector = function (t) {
    for (var s = 0; s < this.tabs.length; s++) {
      if (this.tabs[s].selector === t) return s;
    }

    return -1;
  }, e.prototype._getCurrentTab = function () {
    return this._getTab(this._getCurrentTabRef());
  }, e.prototype._getNextTabRef = function (t) {
    var s = t || this._getCurrentTabRef(),
        a = s === this.tabs.length - 1 ? 0 : s + 1;

    return this._getTab(a).disabled ? this._getNextTabRef(a) : a;
  }, e.prototype._getPreviousTabRef = function () {
    return 0 === this._getCurrentTabRef() ? this.tabs.length - 1 : this._getCurrentTabRef() - 1;
  }, e.prototype._getCurrentTabRef = function () {
    for (var t = 0; t < this.tabs.length; t++) {
      if (this.tabs[t].active) return t;
    }

    return -1;
  }, e.prototype._equaliseHeights = function () {
    var s = 0;
    t.each(t.map(this.tabs, function (t) {
      return s = Math.max(s, t.panel.css("minHeight", "").height()), t.panel;
    }), function () {
      this.css("minHeight", s);
    });
  }, e.prototype._isInView = function (a) {
    var e = t(s).scrollTop(),
        o = e + t(s).height(),
        i = a.offset().top,
        n = i + a.height();
    return o >= n && i >= e;
  }, e.prototype.activate = function (t, s) {
    var a = jQuery.Event("tabs-activate"),
        e = this._getTab(t);

    e.disabled || this._openTab(a, e, !0, s || !0);
  }, e.prototype.deactivate = function (t) {
    var s = jQuery.Event("tabs-dectivate"),
        a = this._getTab(t);

    a.disabled || this._closeTab(s, a);
  }, e.prototype.enable = function (t) {
    var s = this._getTab(t);

    s && (s.disabled = !1, s.tab.addClass(this.options.classes.stateDefault).removeClass(this.options.classes.stateDisabled), s.accordionTab.addClass(this.options.classes.stateDefault).removeClass(this.options.classes.stateDisabled));
  }, e.prototype.disable = function (t) {
    var s = this._getTab(t);

    s && (s.disabled = !0, s.tab.removeClass(this.options.classes.stateDefault).addClass(this.options.classes.stateDisabled), s.accordionTab.removeClass(this.options.classes.stateDefault).addClass(this.options.classes.stateDisabled));
  }, e.prototype.getState = function () {
    return this.state;
  }, e.prototype.startRotation = function (s) {
    var a = this;
    if (!(this.tabs.length > this.options.disabled.length)) throw new Error("Rotation is not possible if all tabs are disabled");
    this.rotateInterval = setInterval(function () {
      var t = jQuery.Event("rotate");

      a._openTab(t, a._getTab(a._getNextTabRef()), !0);
    }, s || (t.isNumeric(a.options.rotate) ? a.options.rotate : 4e3));
  }, e.prototype.stopRotation = function () {
    s.clearInterval(this.rotateInterval), this.rotateInterval = 0;
  }, e.prototype.option = function (t, s) {
    return s && (this.options[t] = s), this.options[t];
  }, t.fn.responsiveTabs = function (s) {
    var o,
        i = arguments;
    return s === a || "object" == _typeof(s) ? this.each(function () {
      t.data(this, "responsivetabs") || t.data(this, "responsivetabs", new e(this, s));
    }) : "string" == typeof s && "_" !== s[0] && "init" !== s ? (o = t.data(this[0], "responsivetabs"), "destroy" === s && t.data(this, "responsivetabs", null), o instanceof e && "function" == typeof o[s] ? o[s].apply(o, Array.prototype.slice.call(i, 1)) : this) : void 0;
  };
}(jQuery, window);

function _defineProperties(target, props) {
  for (var i = 0; i < props.length; i++) {
    var descriptor = props[i];
    descriptor.enumerable = descriptor.enumerable || false;
    descriptor.configurable = true;
    if ("value" in descriptor) descriptor.writable = true;
    Object.defineProperty(target, descriptor.key, descriptor);
  }
}

function _createClass(Constructor, protoProps, staticProps) {
  if (protoProps) _defineProperties(Constructor.prototype, protoProps);
  if (staticProps) _defineProperties(Constructor, staticProps);
  return Constructor;
}
/**
 * --------------------------------------------------------------------------
 * Bootstrap (v4.0.0-beta.2): button.js
 * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
 * --------------------------------------------------------------------------
 */


var Button = function ($) {
  /**
   * ------------------------------------------------------------------------
   * Constants
   * ------------------------------------------------------------------------
   */
  var NAME = 'button';
  var VERSION = '4.0.0-beta.2';
  var DATA_KEY = 'bs.button';
  var EVENT_KEY = "." + DATA_KEY;
  var DATA_API_KEY = '.data-api';
  var JQUERY_NO_CONFLICT = $.fn[NAME];
  var ClassName = {
    ACTIVE: 'is-active',
    BUTTON: 'button',
    FOCUS: 'focus'
  };
  var Selector = {
    DATA_TOGGLE_CARROT: '[data-toggle^="button"]',
    DATA_TOGGLE: '[data-toggle="buttons"]',
    INPUT: 'input',
    ACTIVE: '.is-active',
    BUTTON: '.button'
  };
  var Event = {
    CLICK_DATA_API: "click" + EVENT_KEY + DATA_API_KEY,
    FOCUS_BLUR_DATA_API: "focus" + EVENT_KEY + DATA_API_KEY + " " + ("blur" + EVENT_KEY + DATA_API_KEY)
    /**
     * ------------------------------------------------------------------------
     * Class Definition
     * ------------------------------------------------------------------------
     */

  };

  var Button = /*#__PURE__*/function () {
    function Button(element) {
      this._element = element;
    } // getters


    var _proto = Button.prototype; // public

    _proto.toggle = function toggle() {
      var triggerChangeEvent = true;
      var addAriaPressed = true;
      var rootElement = $(this._element).closest(Selector.DATA_TOGGLE)[0];

      if (rootElement) {
        var input = $(this._element).find(Selector.INPUT)[0];

        if (input) {
          if (input.type === 'radio') {
            if (input.checked && $(this._element).hasClass(ClassName.ACTIVE)) {
              triggerChangeEvent = false;
            } else {
              var activeElement = $(rootElement).find(Selector.ACTIVE)[0];

              if (activeElement) {
                $(activeElement).removeClass(ClassName.ACTIVE);
              }
            }
          }

          if (triggerChangeEvent) {
            if (input.hasAttribute('disabled') || rootElement.hasAttribute('disabled') || input.classList.contains('is-disabled') || rootElement.classList.contains('is-disabled')) {
              return;
            }

            input.checked = !$(this._element).hasClass(ClassName.ACTIVE);
            $(input).trigger('change');
          }

          input.focus();
          addAriaPressed = false;
        }
      }

      if (addAriaPressed) {
        this._element.setAttribute('aria-pressed', !$(this._element).hasClass(ClassName.ACTIVE));
      }

      if (triggerChangeEvent) {
        $(this._element).toggleClass(ClassName.ACTIVE);
      }
    };

    _proto.dispose = function dispose() {
      $.removeData(this._element, DATA_KEY);
      this._element = null;
    }; // static


    Button._jQueryInterface = function _jQueryInterface(config) {
      return this.each(function () {
        var data = $(this).data(DATA_KEY);

        if (!data) {
          data = new Button(this);
          $(this).data(DATA_KEY, data);
        }

        if (config === 'toggle') {
          data[config]();
        }
      });
    };

    _createClass(Button, null, [{
      key: "VERSION",
      get: function get() {
        return VERSION;
      }
    }]);

    return Button;
  }();
  /**
   * ------------------------------------------------------------------------
   * Data Api implementation
   * ------------------------------------------------------------------------
   */


  $(document).on(Event.CLICK_DATA_API, Selector.DATA_TOGGLE_CARROT, function (event) {
    event.preventDefault();
    var button = event.target;

    if (!$(button).hasClass(ClassName.BUTTON)) {
      button = $(button).closest(Selector.BUTTON);
    }

    Button._jQueryInterface.call($(button), 'toggle');
  }).on(Event.FOCUS_BLUR_DATA_API, Selector.DATA_TOGGLE_CARROT, function (event) {
    var button = $(event.target).closest(Selector.BUTTON)[0];
    $(button).toggleClass(ClassName.FOCUS, /^focus(in)?$/.test(event.type));
  });
  /**
   * ------------------------------------------------------------------------
   * jQuery
   * ------------------------------------------------------------------------
   */

  $.fn[NAME] = Button._jQueryInterface;
  $.fn[NAME].Constructor = Button;

  $.fn[NAME].noConflict = function () {
    $.fn[NAME] = JQUERY_NO_CONFLICT;
    return Button._jQueryInterface;
  };

  return Button;
}($);
"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

/*
 * Primary Responsive Navigation
 *
 * @desc Handles the primary nav
 * =========================================================================== */
var BP = BP || {};
BP.Modules = BP.Modules || {};
/* ==========================================================================
   Responsive Nav
   ========================================================================== */

BP.Modules.responsiveNav = function ($, window, document) {
  "use strict";

  var $body = $("body");
  var config = {
    burgerIcon: $(".js-navigation-toggle"),
    navigationPane: $(".js-navigation"),
    dropdownToggle: $(".js-dropdown-toggle"),
    // dropdownPane: $(".js-dropdown-pane"),
    activeClass: "is-open",
    animationSpeed: 250
  };
  /**
   * Private methods
   *
   * Private methods start with an underscore `_methodName`
   * This helps visually identify private functions vs public.
   */

  function _setupClickHandlers(config) {
    // Event Handler for burger icons
    config.burgerIcon.on("click", function () {
      _handleBurgerToggle($(this));
    }); // Evebt handler for navigation items

    config.dropdownToggle.on("click", function () {
      _handleDropdownToggle($(this));
    }); // Closes open nav when clicking outside of dropdown

    $body.on("click", function (event) {
      if (!$(event.target).closest(config.navigationPane).length) {
        config.dropdownToggle.next(".js-dropdown-pane").slideUp(config.animationSpeed);
        config.dropdownToggle.removeClass(config.activeClass);
      }
    });
  } // Handles the animation for the burger icon, adding/removing classes etc.


  function _handleBurgerToggle(currentTarget) {
    if ($(currentTarget).hasClass(config.activeClass)) {
      $(currentTarget).removeClass(config.activeClass);
      config.navigationPane.slideUp(config.animationSpeed);
    } else {
      $(currentTarget).addClass(config.activeClass);
      config.navigationPane.slideDown(config.animationSpeed);
    }
  } // Handles the animation for the drowndown, adding/removing classes etc.


  function _handleDropdownToggle(currentTarget) {
    if (!$(currentTarget).hasClass("is-open")) {
      config.dropdownToggle.next(".js-dropdown-pane").slideUp(config.animationSpeed);
      config.dropdownToggle.removeClass("is-open");
      $(currentTarget).addClass("is-open");
      $(currentTarget).next(".js-dropdown-pane").slideDown(config.animationSpeed);
    } else {
      config.dropdownToggle.next(".js-dropdown-pane").slideUp(config.animationSpeed);
      config.dropdownToggle.removeClass("is-open");
    }
  }
  /**
   * Public methods
   *
   * Public methods are returned/exposed at the bottom of the script.
   */


  function setupNav(newConfig) {
    if (_typeof(newConfig) === "object") {
      config = newConfig; // console.log(config.option);
    }

    _setupClickHandlers(config);
  }
  /**
   * Expose public methods
   */


  return {
    init: setupNav
  };
}(jQuery, window, document);
/* ==========================================================================
   Modals
   ========================================================================== */


BP.Modules.modal = function ($, window, document) {
  "use strict"; // const $body = $("body");

  var config = {
    closeText: '',
    fadeDuration: 200,
    fadeDelay: .8
  };

  function _setupModals(config) {
    $('[data-modal]').on('click', function (event) {
      // $(this).modal(config);
      event.preventDefault();

      if ($(this).data('modal') !== '') {
        $($(this).data('modal')).modal(config);
      } else {
        $(this).modal(config);
      } // return false;

    });
  }

  function initModals(newConfig) {
    if (_typeof(newConfig) === "object") {
      config = newConfig; // console.log(config.option);
    }

    _setupModals(config);
  }

  return {
    init: initModals
  };
}(jQuery, window, document);
/* ==========================================================================
   Tabs
   ========================================================================== */


BP.Modules.tabs = function ($, window, document) {
  "use strict"; // const $body = $("body");
  // let config = {
  //   closeText: '',
  //   fadeDuration: 200,
  //   fadeDelay: .8
  // };

  function _setupTabs() {
    // $('[data-tab]').on('click', function (e) {
    //   $(this)
    //     .addClass('is-active')
    //     // .parents('.bpTabs')
    //     .siblings('[data-tab]')
    //     .removeClass('is-active')
    //   // $(this)
    //     .parents('.bpTabs')
    //     .find('[data-tab-panel=' + $(this).data('tab') + ']')
    //     .addClass('is-active')
    //     .fadeIn('fast')
    //     .siblings('[data-tab-panel]')
    //     .removeClass('is-active')
    //     .hide();
    //   e.preventDefault();
    //
    //   console.log('hi');
    // });
    // $('#responsiveTabsDemo').responsiveTabs({
    $('[data-responsive-tabs]').responsiveTabs({
      startCollapsed: 'accordion',
      animation: 'fade',
      animationQueue: true,
      duration: 250,
      classes: {
        stateDefault: 'is-default',
        stateActive: 'is-active',
        stateDisabled: 'is-disabled',
        stateExcluded: 'is-excluded',
        container: 'js-bpTabs',
        ul: 'js-bpTabs-nav',
        tab: 'js-bpTabs-tab',
        anchor: 'js-bpTabs-anchor',
        panel: 'js-bpTabs-panel',
        accordionTitle: 'bpTabs-accordionTitle'
      }
    });
  }

  function initTabs() {
    // if (typeof newConfig === "object") {
    //   config = newConfig;
    //   // console.log(config.option);
    // }
    _setupTabs();
  }

  return {
    init: initTabs
  };
}(jQuery, window, document);
/* ==========================================================================
   Product Picker
   ========================================================================== */


BP.Modules.productPicker = function ($, window, document) {
  "use strict";

  var tabs = {
    tab: $(".productColumn-tab"),
    activeClass: "is-active"
  }; // Handles selected tab

  function _handleTabs($currentTarget) {
    // Remove active class for tab button
    $currentTarget.parent(".productColumn-tabs").find(".productColumn-tab").removeClass(tabs.activeClass); // Add active class to clicked tab button

    $currentTarget.addClass(tabs.activeClass); // Get data attr

    var tabContentName = $currentTarget.data("tab-content"); // Find matching tab content with selected name

    var tabContentElement = $currentTarget.parent(".productColumn-tabs").parent(".productColumn").find(".js-tabPane-" + tabContentName); // Remove active tab content classes

    $currentTarget.parent(".productColumn-tabs").parent(".productColumn").find(".productColumn-tabPane").removeClass(tabs.activeClass); // Add active class for tab content

    tabContentElement.addClass(tabs.activeClass);
  }
  /**
   * Public methods
   *
   * Public methods are returned/exposed at the bottom of the script.
   */


  function setupTabs() {
    // Event Handler for tabs on product picker
    tabs.tab.on("click", function (e) {
      _handleTabs($(this));

      e.preventDefault();
    });
  }
  /**
   * Expose public methods
   */


  return {
    init: setupTabs
  };
}(jQuery, window, document);
/* ==========================================================================
 Smooth Scroll To ELement
 ========================================================================== */


BP.Modules.smoothScrollToElement = function ($, window, document) {
  "use strict";

  var config = {
    body: $('html, body'),
    clickElement: $(".js-scrollToElement")
  };
  /**
   * Public methods
   *
   * Public methods are returned/exposed at the bottom of the script.
   */

  function initScroll() {
    config.clickElement < 0 || config.clickElement.click(function (e) {
      var speed = $(this).data("speed");
      var easing = $(this).data("easing");

      if (location.pathname.replace(/^\//, "") == this.pathname.replace(/^\//, "") && location.hostname == this.hostname) {
        var t = $(this.hash);
        if (t = t.length ? t : $("[name=" + this.hash.slice(1) + "]"), t.length) return config.body.animate({
          scrollTop: t.offset().top
        }, speed, easing), !1;
      }
    });
  }
  /**
   * Expose public methods
   */


  return {
    init: initScroll
  };
}(jQuery, window, document);
/* ==========================================================================
   Lets do dis.
   ========================================================================== */


$(function () {
  BP.Modules.responsiveNav.init();
  BP.Modules.modal.init();
  BP.Modules.tabs.init();
  BP.Modules.smoothScrollToElement.init(); // BP.Modules.productPicker.init();
});